Skip to main content
POST
/
transactions
/
v2
/
direct_ramp
/
withdraw
Direct Offramp
curl --request POST \
  --url https://api.linkio.world/transactions/v2/direct_ramp/withdraw \
  --header 'ngnc-sec-key: <api-key>'
import requests

url = "https://api.linkio.world/transactions/v2/direct_ramp/withdraw"

headers = {"ngnc-sec-key": "<api-key>"}

response = requests.post(url, headers=headers)

print(response.text)
const options = {method: 'POST', headers: {'ngnc-sec-key': '<api-key>'}};

fetch('https://api.linkio.world/transactions/v2/direct_ramp/withdraw', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Authorizations

ngnc-sec-key
string
header
default:""
required

Query Parameters

quoteId
string
required

Gotten from get Rate Quote endpoint.

payout_id
string
required

Customer Payout method ID gotten from Add Payout method endpoint.

stables
enum<string>
required

stable coin used for offramp

Available options:
USDT,
USDC
offramp_amount
string
required

Stables amount based of generated quote.

payout_currency
enum<string>
default:NGN
required

Currency to be settled in based of generated quote

Available options:
NGN,
GHS,
KES,
ZAR,
XAF,
TZS
sender_address
string
required

Wallet address funds sent from.

network
enum<string>
required
Available options:
Bsc,
matic,
base

Response

200 - undefined